aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 16:40:05 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-23 10:28:56 +0000
commit497695aff4866da723d4300b0549414100243976 (patch)
tree81ee87fe27e515d251381b19cba55437bbd77652 /testing
parent27d284866eac931d37dbc04649f9e8cb78c454bc (diff)
downloadaports-497695aff4866da723d4300b0549414100243976.tar.gz
aports-497695aff4866da723d4300b0549414100243976.tar.bz2
aports-497695aff4866da723d4300b0549414100243976.tar.xz
testing/py-uritemplate: new aport
A Python module to use URI templates https://pypi.python.org/pypi/uritemplate.py
Diffstat (limited to 'testing')
-rw-r--r--testing/py-uritemplate/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/py-uritemplate/APKBUILD b/testing/py-uritemplate/APKBUILD
new file mode 100644
index 0000000000..4bf0cabbfe
--- /dev/null
+++ b/testing/py-uritemplate/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-uritemplate
+_pkgname=uritemplate.py
+pkgver=0.3.0
+pkgrel=0
+pkgdesc="Python module to use URO templates"
+url=" https://uritemplate.readthedocs.org"
+arch="noarch"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4dd14904ba502c6ff8d6276e004404de uritemplate.py-0.3.0.tar.gz"
+sha256sums="fd79aa529a7968c62d96ac6731a94349c5a615dac74968526c573c65796c7b77 uritemplate.py-0.3.0.tar.gz"
+sha512sums="33c606337f4109301c73383d646bdc63f88426d39d870bf293b2d9cff1210adb8bde4105a7dbc2769071bf038bb203dcbb1d3d40bf95b1c572519c53dca65b1d uritemplate.py-0.3.0.tar.gz"